Library and Archives Service

Library - FAQ

I can't get Adobe Reader to open my interlibrary loan document, what other options are there?

40 views   |   0   0   |   Last updated on Jul 21, 2017   


Unfortunately, British Library's DRM Lite encrypted documents will only open with Adobe Reader 10 or above. Interlibrary loan documents provided by the British Library will not open with any other PDF viewer. If you contact we may be able to print the document for you (provided you have not already downloaded it).


chat loading...